# Assignment 1 : Explain Yourself

## Task

In this assignment, students are asked to model and generate a Linked Data description of their
businesses following the Agent-Promise-Object principle. This model can be found across most industries representing many e-commerce scenarios.
In this assignment [GoodRelation](http://www.heppnetz.de/ontologies/goodrelations/v1.html) ontology is used.
This data will be used further on in the next assignment to perform 
discovery of offerings and federated querying in order to semantically enrich 
the original data with information from LOD.

### Required knowledge

1. The student knows the Linked Data principles and basic concepts such as triples and ontologies.
2. The student knows how to analyse and model data.
3. The student has done all Getting Started tutorials (Create Linked Data, Browse data, Query data).

### Goals

1. To learn how to model and analyse Linked Data structures using ontologies.
2. To gain practical experience in conversion of source data into RDF.
3. To learn the structure of the LOD cloud, and prominent ontologies.

### Assignment steps

* **Describe your company**. Make a small table describing your company, its name and address.
* **List goods/services your company provides**. Make a small list of things your company provides.
* **List goods/services your company seeks**. Make a small list of things your company seeks.
* **Identify and model the relationships between items from these three lists** (Company, Offers, Interests). Use pencil and paper or any modelling software to draw the relations.
* **Identify suitable terms (classes and properties)** for formalising the semantics of the identified relations.
* **Generate Linked Data** out of your data. Use [FOAF](http://xmlns.com/foaf/spec/) and [GoodRelation](http://www.heppnetz.de/ontologies/goodrelations/v1.html) vocabularies to describe goods and companies.
* **Publish the results**

>**Tip:**
>*In LinkDale you can add data to the existing project. You just need to use the same title for your data in the Publish step.*
