# Assignment 2: Enrich It

## Task

Consider a situation when you want to enrich your company web site with contextual information about the services
and products you provide. But where to take such information. You can use the content of Wikipedia which
is available as RDF from the DBpedia project. Therefore, you ask your web developer to find and
publish such information.

In this assignment, students are asked to construct a semantic federated query against the DBpedia endpoint. 
First, students learn basics of SPARQL by querying their data.
After that, they reprieve additional information from DBpedia related to their products and services.

### Required knowledge

1. The student knows the Linked Data principles and basic concepts such as triples and ontologies.
2. The student has accomplished the BPIL Assignment 1 : Explain Yourself.
3. The students have read the paper *“Auer, S., Bizer, C., Kobilarov, G., Lehmann, J., Cyganiak, R., & Ives, Z. (2007). Dbpedia: A nucleus for a web of open data. In The semantic web (pp. 722-735). Springer Berlin Heidelberg”*

### Goals

1. To learn the principals of federated querying
2. To gain practical experience in querying of the LOD core resource – DBpedia
3. To gain practical experience in exploratory search within giant data repositories

### Assignment steps

* **Construct a Query** that retrieves location of companies
* **Construct a Query** that retrieves a company in a particular place
* **Explore DBpedia** Web site to understand the structure of the DBpedia data.
* **Construct a federated query** against the DBpedia endpoint. The query should retrieve the name, description and coordinates of places where companies are located.
* **Construct a federated query** against the DBpedia endpoint. The query should retrieve the name, description (or abstract) of a product/service your company provide, its picture and some information about it.